import { Component } from "react";
import { SoftLayoutToDoFormInterface, SoftLayoutToDoFormStateInterface } from "../../interfaces/SoftLayoutToDoForm";
export declare class SoftLayoutToDoForm extends Component<SoftLayoutToDoFormInterface, SoftLayoutToDoFormStateInterface> {
    constructor(props: any);
    state: SoftLayoutToDoFormStateInterface;
    onChange: (type: string, value: string) => void;
    success(e: any): void;
    error(e: any): void;
    onClick: (e: any) => void;
    deleteChip: (label: any, index: any) => void;
    render(): JSX.Element;
}
